Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004697OCamlOCaml generalpublic2009-01-19 16:372012-09-25 20:06
ReporterChristoph Bauer 
Assigned Toxclerc 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.11.0 
Target VersionFixed in Version3.12.1+dev 
Summary0004697: unix_putenv leaks memory
DescriptionThe function unix_putenv() allocates memory. It is never freed.

Maybe at least in the error case (putenv() == -1), the memory should be freed.
Or better (if portable): setenv() could be used.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0006123)
xclerc (developer)
2011-09-12 13:40

The memory is now freed in the error case,
but one should not free it upon successful
call (as specified by the standard).

- Issue History
Date Modified Username Field Change
2009-01-19 16:37 Christoph Bauer New Issue
2009-04-29 15:35 doligez Status new => acknowledged
2011-09-12 13:40 xclerc Note Added: 0006123
2011-09-12 13:40 xclerc Status acknowledged => resolved
2011-09-12 13:40 xclerc Fixed in Version => 3.12.1+dev
2011-09-12 13:40 xclerc Resolution open => fixed
2011-09-12 13:40 xclerc Assigned To => xclerc
2012-09-25 20:06 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker